Merge branch 'credentials' of git+ssh://gnunet.org/gnunet into credentials
[oweals/gnunet.git] / src / gns / test_gns_plus_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
17 rm -rf /tmp/test-gnunet-gns-peer-1/
18
19 TEST_IP="127.0.0.1"
20 gnunet-arm -s -c test_gns_lookup.conf
21 gnunet-identity -C delegatedego -c test_gns_lookup.conf
22 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
23 gnunet-identity -C testego -c test_gns_lookup.conf
24 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
25 gnunet-namestore -p -z delegatedego -a -n '+' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
26 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u b.gnu -t A -c test_gns_lookup.conf`
27 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
28 gnunet-namestore -z delegatedego -d -n '+' -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
29 gnunet-arm -e -c test_gns_lookup.conf
30 rm -rf /tmp/test-gnunet-gns-peer-1/
31
32 if [ "$RES_IP" == "$TEST_IP" ]
33 then
34   exit 0
35 else
36   echo "Failed to resolve to proper IP, got $RES_IP."
37   exit 1
38 fi